.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH REMOVE-DS-ADMIN.PL 8 "Feb 24, 2009"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
remove\-ds\-admin.pl \- Remove all Directory Servers and Admin Server
.SH SYNOPSIS
.B remove-ds-admin.pl
[\-f] [\-d \-d ... \-d] [\-y] [\-a]
.SH DESCRIPTION
Shuts down and removes all Directory Server instances and the Admin Server
from the system.  The directory server instance configuration
directories will have a .removed extension appended to them, which
will contain the retained certificate database files.

\fBWARNING: This command is extremely destructive!\fR
It will remove all of the data and configuration
of all directory servers and admin servers, with
no chance of recovery.  Therefore, in order to actually
do this, you must give the -y option.  \fBPlease use caution and backup your data if you want to keep it!\fR
.PP
.\" TeX users may be more comfortable with the \fB<whatever>\fP and
.\" \fI<whatever>\fP escape sequences to invode bold face and italics, 
.\" respectively.
.SH OPTIONS
A summary of options is included below:
.TP
.B \fB\-f\fR
Force removal - continue on error - otherwise, the command will abort at the first error encountered
.TP
.B \fB\-d\fR
Enable debugging - adding more -d will make output more verbose
.TP
.B \fB\-y\fR
Do the actual processing.  Since the command is very destructive, you must provide the -y argument 
in order for the operation to proceed.  \fBUse with extreme caution!\fR  Note, the security/certificate
files are preserved for future setups.
.TP
.B \fB\-a\fR
Remove all the security/certificate files (used with the \-y option).  This ensures a complete clean up of the 
previous installation.
.br
.SH AUTHOR
remove-ds-admin.pl was written by the 389 Project.
.SH "REPORTING BUGS"
Report bugs to http://bugzilla.redhat.com.
.SH COPYRIGHT
Copyright \(co 2009 Red Hat, Inc.
.br
This is free software.  You may redistribute copies of it under the terms of
the Directory Server license found in the LICENSE file of this
software distribution.  This license is essentially the GNU General Public
License version 2 with an exception for plug-in distribution.
